<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hwmf.record (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hwmf.record (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwmf/draw/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/hwmf/usermodel/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/record/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.hwmf.record</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfFill.HwmfImageRecord.html"
                            title="interface in org.apache.poi.hwmf.record">HwmfFill.HwmfImageRecord</a></td>
                    <td class="colLast">
                        <div class="block">A record which contains an image (to be extracted)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfObjectTableEntry.html"
                                            title="interface in org.apache.poi.hwmf.record">HwmfObjectTableEntry</a>
                    </td>
                    <td class="colLast">
                        <div class="block">Marker interface for Records, which should be added to the
                            WMF object table for further selection
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
                                            title="interface in org.apache.poi.hwmf.record">HwmfRecord</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfBitmap16.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfBitmap16</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfBitmapDib</a></td>
                    <td class="colLast">
                        <div class="block">The DeviceIndependentBitmap Object defines an image in device-independent
                            bitmap (DIB) format.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfColorRef.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfColorRef</a></td>
                    <td class="colLast">
                        <div class="block">A 32-bit ColorRef Object that defines the color value.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfDraw.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfDraw</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfArc.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfArc</a></td>
                    <td class="colLast">
                        <div class="block">The META_ARC record draws an elliptical arc.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfChord.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfChord</a></td>
                    <td class="colLast">
                        <div class="block">The META_CHORD record draws a chord, which is defined by a region bounded by
                            the intersection of
                            an ellipse with a line segment.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfEllipse.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfEllipse</a></td>
                    <td class="colLast">
                        <div class="block">The META_ELLIPSE record draws an ellipse.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfFrameRegion.html"
                            title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfFrameRegion</a></td>
                    <td class="colLast">
                        <div class="block">The META_FRAMEREGION record draws a border around a specified region using a
                            specified brush.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfLineTo.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfLineTo</a></td>
                    <td class="colLast">
                        <div class="block">The META_LINETO record draws a line from the drawing position that is defined
                            in the playback
                            device context up to, but not including, the specified point.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfMoveTo.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfMoveTo</a></td>
                    <td class="colLast">
                        <div class="block">The META_MOVETO record sets the output position in the playback device
                            context to a specified
                            point.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfPie.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfPie</a></td>
                    <td class="colLast">
                        <div class="block">The META_PIE record draws a pie-shaped wedge bounded by the intersection of
                            an ellipse and two
                            radials.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfPolygon.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfPolygon</a></td>
                    <td class="colLast">
                        <div class="block">The META_POLYGON record paints a polygon consisting of two or more vertices
                            connected by
                            straight lines.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfPolyline.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfPolyline</a></td>
                    <td class="colLast">
                        <div class="block">The META_POLYLINE record draws a series of line segments by connecting the
                            points in the
                            specified array.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfPolyPolygon.html"
                            title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfPolyPolygon</a></td>
                    <td class="colLast">
                        <div class="block">The META_POLYPOLYGON record paints a series of closed polygons.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfRectangle.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfRectangle</a></td>
                    <td class="colLast">
                        <div class="block">The META_RECTANGLE record paints a rectangle.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfRoundRect.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfRoundRect</a></td>
                    <td class="colLast">
                        <div class="block">The META_ROUNDRECT record paints a rectangle with rounded corners.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfSelectObject.html"
                            title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfSelectObject</a></td>
                    <td class="colLast">
                        <div class="block">The META_SELECTOBJECT record specifies a graphics object for the playback
                            device context.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfSetPixel.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfSetPixel</a></td>
                    <td class="colLast">
                        <div class="block">The META_RECTANGLE record paints a rectangle.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfEscape.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfEscape</a></td>
                    <td class="colLast">
                        <div class="block">The MetafileEscapes specifies printer driver functionality that
                            might not be directly accessible through WMF records
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfFill.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfFill</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfBitBlt.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfFill.WmfBitBlt</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfDibBitBlt.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfFill.WmfDibBitBlt</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfDibStretchBlt.html"
                            title="class in org.apache.poi.hwmf.record">HwmfFill.WmfDibStretchBlt</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfExtFloodFill.html"
                            title="class in org.apache.poi.hwmf.record">HwmfFill.WmfExtFloodFill</a></td>
                    <td class="colLast">
                        <div class="block">The META_EXTFLOODFILL record fills an area with the brush that is defined in
                            the playback device context.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfFillRegion.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfFill.WmfFillRegion</a></td>
                    <td class="colLast">
                        <div class="block">The META_FILLREGION record fills a region using a specified brush.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfFloodFill.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfFill.WmfFloodFill</a></td>
                    <td class="colLast">
                        <div class="block">The META_FLOODFILL record fills an area of the output surface with the brush
                            that
                            is defined in the playback device context.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfInvertRegion.html"
                            title="class in org.apache.poi.hwmf.record">HwmfFill.WmfInvertRegion</a></td>
                    <td class="colLast">
                        <div class="block">The META_INVERTREGION record draws a region in which the colors are
                            inverted.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfPaintRegion.html"
                            title="class in org.apache.poi.hwmf.record">HwmfFill.WmfPaintRegion</a></td>
                    <td class="colLast">
                        <div class="block">The META_PAINTREGION record paints the specified region by using the brush
                            that is
                            defined in the playback device context.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfPatBlt.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfFill.WmfPatBlt</a></td>
                    <td class="colLast">
                        <div class="block">The META_PATBLT record paints a specified rectangle using the brush that is
                            defined in the playback
                            device context.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfSetDibToDev.html"
                            title="class in org.apache.poi.hwmf.record">HwmfFill.WmfSetDibToDev</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETDIBTODEV record sets a block of pixels in the playback device
                            context
                            using deviceindependent color data.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfSetPolyfillMode.html"
                            title="class in org.apache.poi.hwmf.record">HwmfFill.WmfSetPolyfillMode</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETPOLYFILLMODE record sets polygon fill mode in the playback device
                            context for
                            graphics operations that fill polygons.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfStretchBlt.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfFill.WmfStretchBlt</a></td>
                    <td class="colLast">
                        <div class="block">The META_STRETCHBLT record specifies the transfer of a block of pixels
                            according to a raster
                            operation, with possible expansion or contraction.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfStretchDib.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfFill.WmfStretchDib</a></td>
                    <td class="colLast">
                        <div class="block">The META_STRETCHDIB record specifies the transfer of color data from a
                            block of pixels in device independent format according to a raster operation,
                            with possible expansion or contraction.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfFont.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfFont</a></td>
                    <td class="colLast">
                        <div class="block">The Font object specifies the attributes of a logical font</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfHeader.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfHeader</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfMisc</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfCreateBrushIndirect.html"
                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfCreateBrushIndirect</a></td>
                    <td class="colLast">
                        <div class="block">The META_CREATEBRUSHINDIRECT record creates a Brush Object
                            from a LogBrush Object.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfCreatePatternBrush.html"
                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfCreatePatternBrush</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfCreatePenIndirect.html"
                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfCreatePenIndirect</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfDeleteObject.html"
                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfDeleteObject</a></td>
                    <td class="colLast">
                        <div class="block">The META_DELETEOBJECT record deletes an object, including Bitmap16, Brush,
                            DeviceIndependentBitmap, Font, Palette, Pen, and Region.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfDibCreatePatternBrush.html"
                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfDibCreatePatternBrush</a></td>
                    <td class="colLast">
                        <div class="block">The META_DIBCREATEPATTERNBRUSH record creates a Brush Object with a
                            pattern specified by a DeviceIndependentBitmap (DIB) Object
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfRestoreDc.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfRestoreDc</a></td>
                    <td class="colLast">
                        <div class="block">The META_RESTOREDC record restores the playback device context from a
                            previously saved device
                            context.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSaveDc.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSaveDc</a></td>
                    <td class="colLast">
                        <div class="block">The META_SAVEDC record saves the playback device context for later
                            retrieval.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetBkColor.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSetBkColor</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETBKCOLOR record sets the background color in the playback device
                            context to a
                            specified color, or to the nearest physical color if the device cannot represent the
                            specified color.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetBkMode.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSetBkMode</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETBKMODE record defines the background raster operation mix mode in
                            the playback
                            device context.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetLayout.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSetLayout</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETLAYOUT record defines the layout orientation in the playback
                            device context.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetMapMode.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSetMapMode</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETMAPMODE record defines the mapping mode in the playback device
                            context.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetMapperFlags.html"
                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSetMapperFlags</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETMAPPERFLAGS record defines the algorithm that the font mapper
                            uses when it maps
                            logical fonts to physical fonts.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetRelabs.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSetRelabs</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETRELABS record is reserved and not supported.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetRop2.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSetRop2</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETROP2 record defines the foreground raster operation mix mode in
                            the playback device
                            context.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetStretchBltMode.html"
                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSetStretchBltMode</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETSTRETCHBLTMODE record defines the bitmap stretching mode in the
                            playback device
                            context.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfPalette</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.PaletteEntry.html"
                            title="class in org.apache.poi.hwmf.record">HwmfPalette.PaletteEntry</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfAnimatePalette.html"
                            title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfAnimatePalette</a></td>
                    <td class="colLast">
                        <div class="block">The META_ANIMATEPALETTE record redefines entries in the logical palette that
                            is defined in the playback device context with the specified Palette object

                            The logical palette that is specified by the Palette object in this record is the
                            source of the palette changes, and the logical palette that is currently selected
                            into the playback device context is the destination.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfCreatePalette.html"
                            title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfCreatePalette</a></td>
                    <td class="colLast">
                        <div class="block">The META_CREATEPALETTE record creates a Palette Object</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfPaletteParent.html"
                            title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfPaletteParent</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfRealizePalette.html"
                            title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfRealizePalette</a></td>
                    <td class="colLast">
                        <div class="block">The META_REALIZEPALETTE record maps entries from the logical palette that
                            is defined in the playback device context to the system palette.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfResizePalette.html"
                            title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfResizePalette</a></td>
                    <td class="colLast">
                        <div class="block">The META_RESIZEPALETTE record redefines the size of the logical palette that
                            is defined in the
                            playback device context.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfSelectPalette.html"
                            title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfSelectPalette</a></td>
                    <td class="colLast">
                        <div class="block">The META_SELECTPALETTE record defines the current logical palette with a
                            specified Palette Object.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfSetPaletteEntries.html"
                            title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfSetPaletteEntries</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETPALENTRIES record defines RGB color values in a range of entries
                            in the logical
                            palette that is defined in the playback device context.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfPenStyle.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfPenStyle</a></td>
                    <td class="colLast">
                        <div class="block">The 16-bit PenStyle Enumeration is used to specify different types of pens
                            that can be used in graphics operations.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfPlaceableHeader.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfPlaceableHeader</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfText.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfText</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfText.WmfCreateFontIndirect.html"
                            title="class in org.apache.poi.hwmf.record">HwmfText.WmfCreateFontIndirect</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfText.WmfExtTextOut.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfText.WmfExtTextOut</a></td>
                    <td class="colLast">
                        <div class="block">The META_EXTTEXTOUT record outputs text by using the font, background color,
                            and text color that
                            are defined in the playback device context.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfText.WmfSetTextAlign.html"
                            title="class in org.apache.poi.hwmf.record">HwmfText.WmfSetTextAlign</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETTEXTALIGN record defines text-alignment values in the playback
                            device context.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfText.WmfSetTextCharExtra.html"
                            title="class in org.apache.poi.hwmf.record">HwmfText.WmfSetTextCharExtra</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETTEXTCHAREXTRA record defines inter-character spacing for text
                            justification in the
                            playback device context.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfText.WmfSetTextColor.html"
                            title="class in org.apache.poi.hwmf.record">HwmfText.WmfSetTextColor</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETTEXTCOLOR record defines the text foreground color in the
                            playback device context.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfText.WmfSetTextJustification.html"
                            title="class in org.apache.poi.hwmf.record">HwmfText.WmfSetTextJustification</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETTEXTJUSTIFICATION record defines the amount of space to add to
                            break characters
                            in a string of justified text.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfText.WmfTextOut.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfText.WmfTextOut</a></td>
                    <td class="colLast">
                        <div class="block">The META_TEXTOUT record outputs a character string at the specified location
                            by using the font,
                            background color, and text color that are defined in the playback device context.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.html"
                                            title="class in org.apache.poi.hwmf.record">HwmfWindowing</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfCreateRegion.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfCreateRegion</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfExcludeClipRect.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfExcludeClipRect</a></td>
                    <td class="colLast">
                        <div class="block">The META_EXCLUDECLIPRECT record sets the clipping region in the playback
                            device context to the
                            existing clipping region minus the specified rectangle.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfIntersectClipRect.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfIntersectClipRect</a></td>
                    <td class="colLast">
                        <div class="block">The META_INTERSECTCLIPRECT record sets the clipping region in the playback
                            device context to the
                            intersection of the existing clipping region and the specified rectangle.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfOffsetClipRgn.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfOffsetClipRgn</a></td>
                    <td class="colLast">
                        <div class="block">The META_OFFSETCLIPRGN record moves the clipping region in the playback
                            device context by the
                            specified offsets.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfOffsetViewportOrg.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfOffsetViewportOrg</a></td>
                    <td class="colLast">
                        <div class="block">The META_OFFSETVIEWPORTORG record moves the viewport origin in the playback
                            device context
                            by specified horizontal and vertical offsets.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfOffsetWindowOrg.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfOffsetWindowOrg</a></td>
                    <td class="colLast">
                        <div class="block">The META_OFFSETWINDOWORG record moves the output window origin in the
                            playback device context by specified horizontal and vertical offsets.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfScaleViewportExt.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfScaleViewportExt</a></td>
                    <td class="colLast">
                        <div class="block">The META_SCALEVIEWPORTEXT record scales the horizontal and vertical extents
                            of the viewport
                            that is defined in the playback device context by using the ratios formed by the specified
                            multiplicands and divisors.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfScaleWindowExt.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfScaleWindowExt</a></td>
                    <td class="colLast">
                        <div class="block">The META_OFFSETWINDOWORG record moves the output window origin in the
                            playback device context by specified horizontal and vertical offsets.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfScanObject.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfScanObject</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfSelectClipRegion.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfSelectClipRegion</a></td>
                    <td class="colLast">
                        <div class="block">The META_SELECTCLIPREGION record specifies a Region Object to be the current
                            clipping region.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfSetViewportExt.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfSetViewportExt</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETVIEWPORTEXT record sets the horizontal and vertical extents
                            of the viewport in the playback device context.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfSetViewportOrg.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfSetViewportOrg</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETVIEWPORTORG record defines the viewport origin in the playback
                            device context.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfSetWindowExt.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfSetWindowExt</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETWINDOWEXT record defines the horizontal and vertical extents
                            of the output window in the playback device context.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfSetWindowOrg.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfSetWindowOrg</a></td>
                    <td class="colLast">
                        <div class="block">The META_SETWINDOWORG record defines the output window origin in the playback
                            device context.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                            title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a></td>
                    <td class="colLast">
                        <div class="block">The BinaryRasterOperation Enumeration section lists the binary
                            raster-operation codes.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html"
                                            title="enum in org.apache.poi.hwmf.record">HwmfBitmapDib.BitCount</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.Compression.html"
                            title="enum in org.apache.poi.hwmf.record">HwmfBitmapDib.Compression</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfBrushStyle.html"
                                            title="enum in org.apache.poi.hwmf.record">HwmfBrushStyle</a></td>
                    <td class="colLast">
                        <div class="block">A 16-bit unsigned integer that defines the brush style.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfEscape.EscapeFunction.html"
                            title="enum in org.apache.poi.hwmf.record">HwmfEscape.EscapeFunction</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfFill.ColorUsage.html"
                                            title="enum in org.apache.poi.hwmf.record">HwmfFill.ColorUsage</a></td>
                    <td class="colLast">
                        <div class="block">The ColorUsage Enumeration (a 16-bit unsigned integer) specifies whether a
                            color table
                            exists in a device-independent bitmap (DIB) and how to interpret its values,
                            i.e.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode.html"
                            title="enum in org.apache.poi.hwmf.record">HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode</a>
                    </td>
                    <td class="colLast">
                        <div class="block">A 16-bit unsigned integer that defines polygon fill mode.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfFont.WmfClipPrecision.html"
                            title="enum in org.apache.poi.hwmf.record">HwmfFont.WmfClipPrecision</a></td>
                    <td class="colLast">
                        <div class="block">ClipPrecision Flags specify clipping precision, which defines how to clip
                            characters that are
                            partially outside a clipping region.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfFont.WmfFontQuality.html"
                            title="enum in org.apache.poi.hwmf.record">HwmfFont.WmfFontQuality</a></td>
                    <td class="colLast">
                        <div class="block">The output quality defines how carefully to attempt to match the logical font
                            attributes to those of an actual
                            physical font.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfFont.WmfOutPrecision.html"
                            title="enum in org.apache.poi.hwmf.record">HwmfFont.WmfOutPrecision</a></td>
                    <td class="colLast">
                        <div class="block">The output precision defines how closely the output must match the requested
                            font's height,
                            width, character orientation, escapement, pitch, and font type.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfHatchStyle.html"
                                            title="enum in org.apache.poi.hwmf.record">HwmfHatchStyle</a></td>
                    <td class="colLast">
                        <div class="block">The HatchStyle Enumeration specifies the hatch pattern.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfMapMode.html"
                                            title="enum in org.apache.poi.hwmf.record">HwmfMapMode</a></td>
                    <td class="colLast">
                        <div class="block">A 16-bit unsigned integer that defines the mapping mode.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetBkMode.HwmfBkMode.html"
                            title="enum in org.apache.poi.hwmf.record">HwmfMisc.WmfSetBkMode.HwmfBkMode</a></td>
                    <td class="colLast">
                        <div class="block">A 16-bit unsigned integer that defines background mix mode.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfPenStyle.HwmfLineCap.html"
                            title="enum in org.apache.poi.hwmf.record">HwmfPenStyle.HwmfLineCap</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfPenStyle.HwmfLineDash.html"
                            title="enum in org.apache.poi.hwmf.record">HwmfPenStyle.HwmfLineDash</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfPenStyle.HwmfLineJoin.html"
                            title="enum in org.apache.poi.hwmf.record">HwmfPenStyle.HwmfLineJoin</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                            title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a></td>
                    <td class="colLast">
                        <div class="block">Available record types for WMF</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwmf/record/HwmfTernaryRasterOp.html"
                                            title="enum in org.apache.poi.hwmf.record">HwmfTernaryRasterOp</a></td>
                    <td class="colLast">
                        <div class="block">Each ternary raster operation code represents a Boolean operation in which
                            the values of the pixels in
                            the source, the selected brush, and the destination are combined.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextAlignment.html"
                            title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextAlignment</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextVerticalAlignment.html"
                            title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextVerticalAlignment</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwmf/draw/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/hwmf/usermodel/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/record/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
